/**
 * Copyright (C) 2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.engine.source;

import com.funambol.framework.engine.SyncItem;
import com.funambol.framework.engine.SyncItemKey;


/**
 * A <i>SyncSource</i> that supports the merge of the items.
 *
 * @version $Id: MergeableSyncSource.java,v 1.1 2006/02/17 10:35:13 nichele Exp $
 */
public interface MergeableSyncSource extends SyncSource {

    // ---------------------------------------------------------- Public Methods

    /**
     * Merges server item and client item.
     *
     * @param serverKey the item's key on the server
     * @param clientItem the item on the client
     *
     * @throws SyncSourceException
     *
     * @return true is the content of the client item is changed
     */
    public boolean mergeSyncItems(SyncItemKey serverKey,
                                  SyncItem    clientItem) throws SyncSourceException;

}
