/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.framework.filter;

import java.io.Serializable;

/**
 * This class represents selection clause of a filter.
 *
 *
 * @version $Id: IDClause.java,v 1.1 2006/01/18 17:00:07 luigiafassina Exp $
 *
 */
public class IDClause extends WhereClause implements Serializable {

    // ------------------------------------------------------- Private constants

    private static final String ID_FIELD = "ID";

    /**
     * The default constructor is not intended to be used.
     */
    public IDClause() {
        this(null, null, false);
    }

    public IDClause(String[] values, String operator, boolean caseSensitive) {
        super(ID_FIELD, values , operator, caseSensitive);
    }

    // ---------------------------------------------------------- Public methods

    /**
     * Setter for property property.
     * @param property New value of property property.
     */
    public void setProperty(String property) {
        if (property == null || !property.equals(ID_FIELD)) {
            throw new IllegalArgumentException("You can set the property only to '" + ID_FIELD + "'");
        }
    }

}
