/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.framework.notification.sender;

import com.funambol.framework.notification.NotificationException;
import com.funambol.framework.server.Sync4jDevice;

/**
 * The component that actually performs the message delivery.
 *
 * @version  $Id: Sender.java,v 1.2 2006/05/09 10:06:52 nichele Exp $
 */
public interface Sender {

    // ---------------------------------------------------------- Public Methods

    /**
     * Sends the given message to the device with the given phone number.
     *
     * @param device the recipient of the message
     * @param message  the message to be sent
     * @throws NotificationException
     */
    void sendNotificationMessage(Sync4jDevice device, byte[] message)
    throws NotificationException;
}
