/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.framework.tools;

import java.io.InputStream;
import java.io.ByteArrayInputStream;

import com.funambol.framework.filter.*;

/**
 * This class contains the methods to convert a cgi string into a tree of clause.
 *
 * @version $Id: CGIHelperClause.java,v 1.2 2006/02/17 11:31:20 nichele Exp $
 *
 */
public class CGIHelperClause  {

    // ---------------------------------------------------------- Public Methods

    /**
     * Converts the given String in a Clause using the <code>CGIQueryParser</code>
     * @param cgiString String
     * @return Clause
     * @throws ParseException
     */
    public static Clause cgiStringToClause(String cgiString) throws ParseException {
        InputStream in = new ByteArrayInputStream(cgiString.getBytes());
        CGIQueryParser cgiQueryParser = new CGIQueryParser(in);
        cgiQueryParser.filterQuery();
        return cgiQueryParser.getClause();
    }

}
