/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package com.funambol.framework.tools.beans;

import com.funambol.framework.tools.beans.BeanException;

/**
 * @version $Id: BeanNotFoundException.java,v 1.1 2006/01/18 17:00:11 luigiafassina Exp $
 */
public class BeanNotFoundException extends BeanException {
    
    // ------------------------------------------------------------ Constructors
    public BeanNotFoundException() {
        super();
    }

    public BeanNotFoundException(String msg) {
        super(msg);
    }
    
    public BeanNotFoundException(String msg, Throwable cause) {
        super(msg, cause);
    }
    
    public BeanNotFoundException(String beanName, ClassLoader classLoader) {
        super( "Resource "
             + beanName
             + " not found"
             + " with "
             + ((classLoader == null) ? "default calss loader" 
                                      : String.valueOf(classLoader))
             );
    }
}