/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.server.notification.sender;

/**
 * This class represents a WDP header. 
 *
 * @version $Id: WDPHeader.java,v 1.1 2006/01/18 17:00:11 luigiafassina Exp $
 */
public class WDPHeader {
    
    // ------------------------------------------------------------ Private data
    private byte[] header = null;
    
    public WDPHeader() {
        
        // User-Data-Header(UDHL) Length = 6 bytes
        byte length = 6;
        
        header = new byte[length + 1];
        
        header[0] = length;
        
        // UDH IE Identifier Port Number
        header[1] = (byte)0x05;
        
        // UDH port number IE length
        header[2] = (byte)0x04;
        
        // Destination port (high)
        header[3] = (byte)0x0B;
        
        // Destination port (low)
        header[4] = (byte)0x84;
        
        // Origination port (high)
        header[5] = (byte)0xC0;
        
        // Origination port (low)
        header[6] = (byte)0x02;
        
    }
    
    // ---------------------------------------------------------- Public Methods
    
    public byte[] getHeader() {
        return header;
    }
}
