/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.server.notification.sender;

/**
 * This class represents a WSP header.
 *
 * @version $Id: WSPHeader.java,v 1.3 2006/04/28 15:51:30 nichele Exp $
 */
public class WSPHeader {

    // --------------------------------------------------------------- Constants
    public static final byte CONTENT_TYPE_CODE_NOTIFICATION = (byte)0xCE;
    public static final byte CONTENT_TYPE_CODE_BOOTSTRAP    = (byte)0xC2;

    // ------------------------------------------------------------ Private data
    private byte[] header = null;

    private WSPHeader() {}

    public WSPHeader(byte contentTypeCode) {

        header = new byte[6];

        // Transaction ID / Push ID
        header[0] = (byte)0x01;

        // PDU Type(push)
        header[1] = (byte)0x06;

        // Headerslength (content type + headers)
        header[2] = (byte)0x03;

        // Content type
        header[3] = contentTypeCode;

        // X-WAP-Application-ID
        header[4] = (byte)0xAF;

        // Id for urn: x-wap-application:push.syncml
        header[5] = (byte)0x85;
    }

    // ---------------------------------------------------------- Public Methods

    public byte[] getHeader() {
        return header;
    }
}
